org.jbpm.process.builder.dialect.mvel

## Class MVELProcessDialect

- java.lang.Object
- - org.jbpm.process.builder.dialect.mvel.MVELProcessDialect

- All Implemented Interfaces:
    ProcessDialect
  Direct Known Subclasses:
    DataServiceMvelProcessDialect

      public class MVELProcessDialect
      extends Object
      implements ProcessDialect

  Please make sure to use the getter methods when referring to the static final fields, because this class is extended in other modules (jbpm-kie-services).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MVELProcessDialect()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ProcessBuildContext context)`
    `ActionBuilder` | `getActionBuilder()`
    `AssignmentBuilder` | `getAssignmentBuilder()`
    `ProcessClassBuilder` | `getProcessClassBuilder()`
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`
    `static void` | `setActionbuilder(ActionBuilder actionbuilder)` These methods are necessary for code in the jbpm-kie-services, that has it's own `ReturnValueEvaluatorBuilder`, `ActionBuilder` and `ProcessClassBuilder` implemenations.
    `static void` | `setReturnvaluebuilder(ReturnValueEvaluatorBuilder returnvaluebuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELProcessDialect

          public MVELProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`

    - #### getProcessClassBuilder

          public ProcessClassBuilder getProcessClassBuilder()

      Specified by:
        `getProcessClassBuilder` in interface `ProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

    - #### getAssignmentBuilder

          public AssignmentBuilder getAssignmentBuilder()

      Specified by:
        `getAssignmentBuilder` in interface `ProcessDialect`

    - #### setActionbuilder

          public static void setActionbuilder(ActionBuilder actionbuilder)

      These methods are necessary for code in the jbpm-kie-services, that has it's own `ReturnValueEvaluatorBuilder`, `ActionBuilder` and `ProcessClassBuilder` implemenations.

    - #### setReturnvaluebuilder

          public static void setReturnvaluebuilder(ReturnValueEvaluatorBuilder returnvaluebuilder)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.